Description

See https://answers.splunk.com/answers/494836/can-a-user-create-a-collection-from-the-lookup-edi.html

Associated revisions

Revision 289 - 03/22/2017 07:26 AM - lukemurphey

Added link to edit ACLs for the lookup

Reference #1713

History

#1 - 02/01/2017 08:56 PM - Luke Murphey

- Subject changed from User collections are not accessible to User collections are inaccessible

Some questions:

Is this fixed by making the collection as a non-admin user?

Can this be fixed with a local.meta change

#2 - 02/01/2017 09:01 PM - Luke Murphey

- Target version set to 2.6

#3 - 03/17/2017 05:57 PM - Luke Murphey

Steps to repro:

1. Make a collection with the admin user

2. Try to load the collection as a non-admin

#4 - 03/17/2017 06:16 PM - Luke Murphey

- Status changed from New to In Progress

#5 - 03/21/2017 06:03 AM - Luke Murphey

These appear to be getting made in the admin user. Perhaps I should make them in the nobody user?

#6 - 03/21/2017 06:43 AM - Luke Murphey

The lookups are still made with the admin user even when the owner is set to "nobody".

#7 - 03/22/2017 05:54 AM - Luke Murphey
I wonder, can a user load the lookup under their own account?

#8 - 03/22/2017 05:58 AM - Luke Murphey

You can load a lookup under your user account but it is defined as read-only.

#9 - 03/22/2017 05:58 AM - Luke Murphey

The API doesn't seem to indicate any way to make the lookup readable by other people.

See http://docs.splunk.com/Documentation/Splunk/6.3.0/RESTREF/RESTkvstore

#10 - 03/22/2017 06:06 AM - Luke Murphey

https://answers.splunk.com/answers/144000/modifying-acl-saved-search-permissions-through-rest-api-using-python.html

https://answers.splunk.com/answers/388854/how-can-i-change-the-permissions-of-dynamically-cr.html

https://answers.splunk.com/answers/48646/modify-event-types-via-api-curl.html

https://answers.splunk.com/answers/115781/change-the-owner-of-a-saved-search-via-rest.html

#11 - 03/22/2017 06:24 AM - Luke Murphey

I have this wired up but I am getting the following error against /servicesNS/nobody/lookup_editor/storage/collections/config/test_lookup_nobody/_acl:

action=_acl is not supported on individual entities

 

You can see this by navigating to https://127.0.0.1:8089/servicesNS/nobody/lookup_editor/storage/collections/config/test_lookup_nobody/_acl

#12 - 03/22/2017 06:36 AM - Luke Murphey

Same error on a CSV lookup: https://127.0.0.1:8089/servicesNS/nobody/lookup_editor/data/lookup-table-files/test_lookup_nobody.csv/_acl and 

https://127.0.0.1:8089/services/data/lookup-table-files/test_lookup_nobody.csv/_acl

Maybe I am doing this wrong.

#13 - 03/22/2017 06:54 AM - Luke Murphey

This can be adjusted within Core: http://dev.splunk.com/view/webframework-developapps/SP-CAAAE88

For example, see:

http://127.0.0.1:8000/en-US/manager/permissions/launcher/storage/collections/config/test_lookup_nobody?uri=%2FservicesNS%2Fnobody%2Flooku

p_editor%2Fstorage%2Fcollections%2Fconfig%2Ftest_lookup_nobody

#14 - 03/22/2017 07:25 AM - Luke Murphey

You can edit the ACLs for these files in the Manager. To this end, I have added a link to open the editor from the lookup editor.
#15 - 03/22/2017 07:28 AM - Luke Murphey

- % Done changed from 0 to 90

#16 - 03/26/2017 05:04 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
